# $Revision: 1.19 $, $Date: 2012/03/05 06:25:18 $
Summary:	X.org input driver for Aiptek HyperPen devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla urządzeń Aiptek HyperPen
Name:		xorg-driver-input-hyperpen
Version:	1.4.1
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-hyperpen-%{version}.tar.bz2
# Source0-md5:	75dc36477a291f8c2f7c808ab78a400a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Aiptek HyperPen devices. It supports Aiptek
HyperPen 6000.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla urządzeń Aiptek HyperPen. Obsługuje
Aiptek HyperPen 6000.

%prep
%setup -q -n xf86-input-hyperpen-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/hyperpen_drv.so
#%{_mandir}/man4/hyperpen.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-hyperpen.spec,v $
Revision 1.19  2012/03/05 06:25:18  arekm
- release 3

Revision 1.18  2011/08/27 09:00:23  arekm
- release 2

Revision 1.17  2011/07/08 18:03:50  qboosh
- updated to 1.4.1

Revision 1.16  2011/06/28 19:04:05  qboosh
- updated to 1.4.0

Revision 1.15  2010/08/29 07:08:24  qboosh
- added README to docs
- updated desc
- release 2.1 (doesn't build with current xserver)

Revision 1.14  2009/10/02 08:26:54  arekm
- release 2

Revision 1.13  2009/02/27 08:22:28  adamg
- updated to 1.3.0

Revision 1.12  2009/02/25 21:14:02  arekm
- release 3

Revision 1.11  2008/07/01 16:04:26  arekm
- release 2

Revision 1.10  2008-05-10 07:45:49  qboosh
- updated to 1.2.0

Revision 1.9  2007-09-06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 13:15:31  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 12:25:26  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:28:46  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 12:14:34  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 21:44:28  qboosh
- new
